/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.pool.thread;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class Test {

    public static void main(String[] args) {
        ThreadPool tp = new SimpleThreadPool();
        for(int c = 1; c < 100; c++) {
            tp.execute(new TestClass(c + ""));
        }
    }
}

class TestClass implements Threadable {
    private String name;

    public TestClass(String name) {
        this.name = name;
    }

    public void run() {
        System.out.println("TestClass: " + name);
    }
}